#{extends 'borderNG.html' /}

#{set 'titleHead'}
&{'penjelasan.pejelasan_lelang'} ${paket?.pkt_nama}
#{/set}
#{if group.toString()=='PPK'}
	<ul class="breadcrumb" style="background-color: #25B396 !important;">
		<li><a href="@{devpartner.BerandaDpCtr.index()}" >&{'penjelasan.home'}</a></li>
		<li class="active">&{'penjelasan.info_lelang'}</li>
	</ul>
#{/if}
#{else}
	<ol class="breadcrumb" style="background-color: #25B396 !important;">
		<li><a href="@{devpartner.BerandaDpCtr.index()}">&{'penjelasan.home'}</a></li>
		<li><a href="@{devpartner.LelangDpCtr.view(lelang.lls_id)}">&{'penjelasan.info_tender'}</a></li>
		<li class="active">&{'penjelasan.penjelasan_lelang'}</li>
	</ol>
#{/else}

#{tabmenuLelangDp tahapStarted/}
<div class="content">
	<table class="table table-condensed ">
	<tr>
		<th width="100">&{'penjelasan.kode_tender'}</th>
		<td>${lelang.lls_id}</td>
	</tr>
	<tr>
		<th>&{'penjelasan.nama_paket'}</th>
		<td>${lelang.paket.pkt_nama}</td>
	</tr>
	<tr>
		<th>&{'penjelasan.sisa_waktu'}</th>
		<td id="waktu"></td>
	</tr>
	#{if isPeserta}
	<tr>
		<td colspan="2" class="text-right"><a class="btn btn-success" href="javascript:void(0)" id="pesertaKirim">&{'penjelasan.kirim_pertanyaan'}</a></td>
	</tr>
	#{/if}	
	</table>
	<div class="bs-callout bs-callout-danger">
		&{'penjelasan.hindari_copas'}
	</div>
	#{alert /}
	<div id="listPenjelasan"></div>
    <small class="padding2">
        <span class="label label-warning" title="Penyedia">R</span> &{'penjelasan.peserta'}
        <span class="label label-primary" title="Panitia">P</span> &{'penjelasan.pokja_pp'}
    </small>
	#{if group.panitia}
  	<div class="bs-callout bs-callout-warning">
      	&{'penjelasan.pkj_msh_mbr'}
  	</div>
	#{/if}
</div>


#{set 'custom_script'}
<script type="text/javascript" src="#{assets '/nicedit/nicEdit.js'/}"></script>
<script type="text/javascript">
	function load_content() {
	    $('#listPenjelasan').load('${listUrl}')
	};
	function load_time() {
        $('#waktu').load('${sisaUrl}')
    };
    load_content();
    load_time();
	setInterval(load_time, 5000); // 5 second update data
	var refreshContent = setInterval(load_content, 30000); // 30 second update data
	var editor = new nicEditor({iconsPath: "#{assets '/nicedit/nicEditorIcons.gif'/}", buttonList : ['save','bold','italic','underline','left','center','right','justify','ol','ul','fontSize','indent','outdent']});
	
	$(document).on("click", ".jawab", function(){		
		var value =$(this).attr("value");
		var content = '<form id="form-jawab" action="${simpanUrl}" method="post" enctype="multipart/form-data" class="form-horizontal">'+
		  '<input type="hidden" name="authenticityToken" value="${session.getAuthenticityToken()}" />'+
		  '<input type="hidden" name="pertanyaan_id" value="'+value+'" />'+
		  '<div class="form-group"><label class="col-sm-1 control-label">&{'penjelasan.jawaban'} <span class="warning">*</span></th></label>'+
    		  '<div class="col-sm-11"><textarea id="jawaban'+value+'" name="penjelasan.dsl_uraian" cols="60" rows="10" class="form-control"></textarea></div></div>'+
    		  '<div class="form-group"><label class="col-sm-1 control-label">&{'penjelasan.lampiran'}</label>'+
		  '<div class="col-sm-11"><input type="file" name="file" class="form-control"/>' +
	      '<span id="helpBlock" class="help-block">&{'penjelasan.file_type'} <i><strong>txt, doc, docx, xls, xlsx, pdf, jpg, jpeg, png, zip, atau rar</strong></i> &{'penjelasan.boleh_upload'}. </div></div>' +
	      '<button type="submit" class="btn btn-success save" value="'+value+'">&{'penjelasan.kirim'}</button>&nbsp;<button type="reset" class="btn btn-default cancel" value="'+value+'" >&{'penjelasan.cancel'}</button></form>';
		  $(this).replaceWith(content);
		  editor.panelInstance("jawaban"+value);
		  clearInterval(refreshContent);
	})
	
	$(document).on("click", ".cancel", function(){
		var value =$(this).attr("value");
		$(this).parent().replaceWith('<a href="javascript:void(0)" class="badge jawab" value="'+value+'">&{'pertanyaan.jawab'}</a>');
		refreshContent = setInterval(load_content, 30000);
	})
	
	$(document).on("click", ".save", function(){
		var value =$(this).attr("value");
		var jawaban = editor.instanceById("jawaban"+value).getContent();
		if (jawaban == null || jawaban == ""|| jawaban == "<br>"){
            alert("&{'penjelasan.mohon_isi_uraian'}");
            $("#jawaban"+value).focus();
            return false;
        }
		return true;
	})

	$("#pesertaKirim").click(function(){
        var content ='<form id="form-tanya" action="${simpanUrl}" method="post" enctype="multipart/form-data">'+
                '<input type="hidden" name="authenticityToken" value="${session.getAuthenticityToken()}">'+
                '<table class="table table-condensed"><tr><th>&{'penjelasan.dokumen'}</th><td><input name="penjelasan.dsl_dokumen" id="dokumen" type="text" size="60" class="form-control"></td></tr>'+
                '<tr><th>&{'penjelasan.bab'}</th><td><input name="penjelasan.dsl_bab" id="bab" type="text" size="60" class="form-control"></td></tr>'+
                '<tr><th>&{'penjelasan.uraian'} <span class="warning">*</span></th></th><td><textarea name="penjelasan.dsl_uraian" id="uraian" rows="12" class="form-control"></textarea></td></tr>'+
                '<tr><th>&{'penjelasan.lampiran'}</th><td><input type="file" name="file" id="file" class="form-control"/><br />' +
                '&{'penjelasan.file_type'} <i><strong>txt, doc, docx, xls, xlsx, pdf, jpg, jpeg, png, zip, atau rar</strong></i> &{'penjelasan.boleh_upload'}.' +
                '</td></tr></table></form>';
		BootstrapDialog.show({
			draggable: true,
			title:'&{'tag.kirim_pertanyaan'}',
			message:content,
            onshown: function(){
            	editor.panelInstance("uraian");
            },
			buttons: [{
				cssClass : 'btn-success',
                label: '&{'tag.button_kirim'}',
                action: function(dialog) {
					var uraian = editor.instanceById("uraian").getContent();
					if (uraian == null || uraian == "" || uraian == "<br>"){
                        alert("&{'penjelasan.mohon_isi_uraian'}");
                        $("#uraian").focus();
						return false;
					} else {
						editor.instanceById("uraian").saveContent();
                        $('#form-tanya').submit();
                    }
                }
            }, {
                label: '&{'tag.button_batal'}',
                action: function(dialog) {
                    dialog.close();
                }
            }]
		});
	});
	
</script>
#{/set}